<?php

if (!defined('ABSPATH')) {
    header('HTTP/1.0 403 Forbidden');
    die('No Direct Access Allowed!');
}

$options = get_option('eppp_options');


/**
 * Generate Pages
 */
add_settings_section(
        'eppp_generator', __('Easy Privacy Policy Pro Page Generator', 'eppp'), 'eppp_generator_callback', 'manage-eppp');

/**
 * Generate Pages
 */
function eppp_generator_callback() {
    _e('Mark the pages you want to be generated.', 'eppp');
}

/**
 * Privacy Policy
 */
add_settings_field(
        'pp', __('Privacy Policy', 'eppp'), 'pp_callback', 'manage-eppp', 'eppp_generator', $options
);

/**
 * Privacy Policy Callback
 */
function pp_callback($options) {
    echo '<input name="eppp_options[pp]" type="checkbox" >';
    echo ' <span class="description" >' . __('Generate a new Privacy Policy page.', 'eppp') . '</span>';
}

/**
 * Disclaimer
 */
add_settings_field(
        'disclaimer', __('Disclaimer', 'eppp'), 'disclaimer_callback', 'manage-eppp', 'eppp_generator', $options
);

/**
 * Disclaimer Callback
 */
function disclaimer_callback($options) {
    echo '<input name="eppp_options[disclaimer]" type="checkbox" >';
    echo ' <span class="description" >' . __('Generate a new Disclaimer page.', 'eppp') . '</span>';
}

/**
 * TOS
 */
add_settings_field(
        'tos', __('TOS', 'eppp'), 'tos_callback', 'manage-eppp', 'eppp_generator', $options
);

/**
 * TOS Callback
 */
function tos_callback($options) {
    echo '<input name="eppp_options[tos]" type="checkbox" >';
    echo ' <span class="description" >' . __('Generate a new Terms Of Service page.', 'eppp') . '</span>';
}

/**
 * Contact
 */
add_settings_field(
        'contact', __('Contact', 'eppp'), 'contact_callback', 'manage-eppp', 'eppp_generator', $options
);

/**
 * Contact Callback
 */
function contact_callback($options) {
    echo '<input name="eppp_options[contact]" type="checkbox" >';
    echo ' <span class="description" >' . __('Generate a new Contact page.', 'eppp') . '</span>';
}

/**
 * Amazon
 */
add_settings_field(
        'aaa', __('Amazon', 'eppp'), 'aaa_callback', 'manage-eppp', 'eppp_generator', $options
);

/**
 * Disclaimer Callback
 */
function aaa_callback($options) {
    echo '<input name="eppp_options[aaa]" type="checkbox" >';
    echo ' <span class="description" >' . __('Generate a new Amazon Associate Agreement page.', 'eppp') . '</span>';
}

/**
 * Save | Reset.
 */
add_settings_section(
        'save_reset', __(' ', 'eppp'), 'save_reset_callback', 'manage-eppp');

function save_reset_callback() {
    echo '<input name="eppp_options[generate_pages]"
        type="submit" class="button-primary" value="' . esc_attr__('Generate Pages', 'eppp') . '" />';
}
