<?php
if( !defined( 'ABSPATH' ) ){
    header('HTTP/1.0 403 Forbidden');
    die('No Direct Access Allowed!');
}

$options = get_option('eppp_options');

/**
 * EPPP Heading
 */
add_settings_section(
    'eppp_settings',
    __('EPPP Business Information Configuration', 'eppp'),
    'eppp_settings_callback',
    'manage-eppp');

/**
 * EPPP Heading
 */
function eppp_settings_callback(){
    _e('Fill Your Business Information to be used when creating pages.', 'eppp');
}

/**
 * Business Name
 */
add_settings_field(
    'name',
    __('Business Name', 'eppp'),
    'name_callback',
    'manage-eppp',
    'eppp_settings',
    $options
);

/**
 * Business Name Callback
 */
function name_callback($options){
    echo '<input name="eppp_options[name]" type="text"
        value="' . $options["name"] . '" class="regular-text" >';
    echo '<p class="description" >' . __('Your Business or Company Name. Needed when you\'re about to generate legal pages, such as Tos, Disclaimer or Privacy Policy etc.', 'eppp') . '</p>';
}

/**
 * Registration Number
 */
add_settings_field(
    'reg_number',
    __('Registration Number', 'eppp'),
    'reg_number_callback',
    'manage-eppp',
    'eppp_settings',
    $options
);

/**
 * Registration Number Callback
 */
function reg_number_callback($options){
    echo '<input name="eppp_options[reg_number]" type="text"
        value="' . $options["reg_number"] . '" class="regular-text" >';
    echo '<p class="description" >' . __('Your Company\'s registration number. Needed when you\'re about to generate legal pages, such as Tos, Disclaimer or Privacy Policy etc.', 'eppp') . '</p>';
}

/**
 * Registration Place
 */
add_settings_field(
    'reg_place',
    __('Registration Place', 'eppp'),
    'reg_place_callback',
    'manage-eppp',
    'eppp_settings',
    $options
);

/**
 * Registration Place Callback
 */
function reg_place_callback($options){
    echo '<input name="eppp_options[reg_place]" type="text"
        value="' . $options["reg_place"] . '" class="regular-text" >';
    echo '<p class="description" >' . __('Your Company\'s place of registration. Needed when you\'re about to generate legal pages, such as Tos, Disclaimer or Privacy Policy etc.', 'eppp') . '</p>';
}

/**
 * Address
 */
add_settings_field(
    'address',
    __('Address', 'eppp'),
    'address_callback',
    'manage-eppp',
    'eppp_settings',
    $options
);

/**
 * Address Callback
 */
function address_callback($options){
    echo '<input name="eppp_options[address]" type="text"
        value="' . $options["address"] . '" class="regular-text" >';
    echo '<p class="description" >' . __('Your Business Address. Needed when you\'re about to generate legal pages, such as Tos, Disclaimer or Privacy Policy etc.', 'eppp') . '</p>';
}

/**
 * City
 */
add_settings_field(
    'city',
    __('City', 'eppp'),
    'city_callback',
    'manage-eppp',
    'eppp_settings',
    $options
);

/**
 * City Callback
 */
function city_callback($options){
    echo '<input name="eppp_options[city]" type="text"
        value="' . $options["city"] . '" class="regular-text" >';
    echo '<p class="description" >' . __('Your City. Needed when you\'re about to generate legal pages, such as Tos, Disclaimer or Privacy Policy etc.', 'eppp') . '</p>';
}

/**
 * State
 */
add_settings_field(
    'state',
    __('State', 'eppp'),
    'state_callback',
    'manage-eppp',
    'eppp_settings',
    $options
);

/**
 * State Callback
 */
function state_callback($options){
    echo '<input name="eppp_options[state]" type="text"
        value="' . $options["state"] . '" class="regular-text" >';
    echo '<p class="description" >' . __('Your State. Needed when you\'re about to generate legal pages, such as Tos, Disclaimer or Privacy Policy etc.', 'eppp') . '</p>';
}

/**
 * Zip
 */
add_settings_field(
    'zip',
    __('Zip', 'eppp'),
    'zip_callback',
    'manage-eppp',
    'eppp_settings',
    $options
);

/**
 * Zip Callback
 */
function zip_callback($options){
    echo '<input name="eppp_options[zip]" type="text"
        value="' . $options["zip"] . '" class="regular-text" >';
    echo '<p class="description" >' . __('Your Zip code. Needed when you\'re about to generate legal pages, such as Tos, Disclaimer or Privacy Policy etc.', 'eppp') . '</p>';
}

/**
 * Email
 */
add_settings_field(
    'email',
    __('Email', 'eppp'),
    'email_callback',
    'manage-eppp',
    'eppp_settings',
    $options
);

/**
 * Email Callback
 */
function email_callback($options){
    echo '<input name="eppp_options[email]" type="text"
        value="' . $options["email"] . '" class="regular-text" >';
    echo '<p class="description" >' . __('Your Business Email address. Needed when you\'re about to generate legal pages, such as Tos, Disclaimer or Privacy Policy etc.', 'eppp') . '</p>';
}

/**
 * Save | Reset.
 */
add_settings_section(
    'save_reset',
    __(' ', 'eppp'),
    'save_reset_callback',
    'manage-eppp');

function save_reset_callback(){
    echo '<input name="eppp_options[save_settings]"
        type="submit" class="button-primary" value="' . esc_attr__('Save Business Information', 'eppp') .'" />';
    echo ' <input name="eppp_options[reset_settings]"
        type="submit" class="button-secondary" value="' . esc_attr__('Reset Form', 'eppp') .'" />';
}
