<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

/**
 * Description of extend_generate_page
 *
 * @author User
 */
class extend_generate_page extends WP_Easy_Privacy_Policy_Pro_Generator {

    private $replace_array;

    function init() {

        $options = get_option('eppp_options');
        if (is_email($options['email'])) {
            $email = $options['email'];
        } else {
            $home_url = preg_replace('#^https?://#', '', home_url());
            $home_url = preg_replace('#/.*$#', '', $home_url);
            $email = 'info@' . $home_url;
        }

        $this->replace_array = array(
            'name' => $options['name'],
            'webname' => get_bloginfo('name'),
            'reg_number' => $options['reg_number'],
            'reg_place' => $options['reg_place'],
            'address' => $options['address'],
            'city' => $options['city'],
            'state' => $options['state'],
            'zip' => $options['zip'],
            'email' => $email,
            'date' => date('M d, Y'),
            'year' => date('Y'),
            'weburl' => 'www.'.parse_url(get_site_url())['host']
        );
        $options = get_option('eppp_options');

        if ($options['rwurl'] == 1) {
            $this->replace_array['name'] = $this->replace_array['weburl'];
        }
    }

    function generate_page($page) {
        switch ($page) {
            case 'pp':
                $title = 'Privacy Policy';
                $template = file_get_contents(EPPP_PATH . 'templates/privacy-policy-template.php');
                $text = $this->get_personalized_text($template);
                $this->create_page($title, $text);
                break;
            case 'disclaimer':
                $title = 'Disclaimer';
                $template = file_get_contents(EPPP_PATH . 'templates/disclaimer-template.php');
                $text = $this->get_personalized_text($template);
                $this->create_page($title, $text);
                break;
            case 'tos':
                $title = 'Terms of Service';
                $template = file_get_contents(EPPP_PATH . 'templates/terms-of-service-template.php');
                $text = $this->get_personalized_text($template);
                $this->create_page($title, $text);
                break;
            case 'contact':
                $title = 'Contact Us';
                $template = file_get_contents(EPPP_PATH . 'templates/contact-us-template.php');
                $text = $this->get_personalized_text($template);
                $this->create_page($title, $text);
                break;
            case 'aaa':
                $title = 'Amazon Associates Agreement';
                $template = file_get_contents(EPPP_PATH . 'templates/amazon-associate-agreement-template.php');
                $text = $this->get_personalized_text($template);
                $this->create_page($title, $text);
                break;
            case 'afd':
                $title = 'Affiliate Disclaimer';
                $template = file_get_contents(EPPP_PATH . 'extend/affiliate_disclaimer-template.php');
                $text = $this->get_personalized_text($template);
                $this->create_page($title, $text);
                break;
            case 'cr':
                $title = 'Copyright';
                $template = file_get_contents(EPPP_PATH . 'extend/copyright-template.php');
                $text = $this->get_personalized_text($template);
                $this->create_page($title, $text);
                break;
        }
    }

    function get_personalized_text($text) {
        $personalized_text = preg_replace_callback('!\{\{(\w+)\}\}!', array($this, 'replace_value'), $text);
        return $personalized_text;
    }

    function replace_value($matches) {
        if ($this->replace_array):
            return $this->replace_array[$matches[1]];
        else:
            return false;
        endif;
    }

}
